| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
GaudiKernel.GaudiHandles.PublicToolHandleArray Class Reference
Inheritance diagram for GaudiKernel.GaudiHandles.PublicToolHandleArray:
[legend]
Collaboration diagram for GaudiKernel.GaudiHandles.PublicToolHandleArray:
[legend]

## Public Member Functions
def | __init__ (self, toolTypesAndNames=None)
Public Member Functions inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
def | __init__ (self, typesAndNames=None)
def | __repr__ (self)
def | __str__ (self)
def | __getitem__ (self, index)
def | __delitem__ (self, key)
def | __iadd__ (self, array)
def | append (self, value)
def | isPublic (self)
def | toStringProperty (self)
def | __getstate__ (self)
def | __setstate__ (self, dict)

## Static Public Attributes
| handleType = PublicToolHandle
Static Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
| handleType = None

## Static Private Attributes
tuple | __slots__ = ()

## Additional Inherited Members
Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandleArray
| typesAndNames

## Detailed Description

Definition at line 216 of file GaudiHandles.py.

## Constructor & Destructor Documentation

def GaudiKernel.GaudiHandles.PublicToolHandleArray.__init__ | ( |  | self,
|  |  | toolTypesAndNames = `None`
| ) |  |

Definition at line 220 of file GaudiHandles.py.

220 def __init__(self, toolTypesAndNames=None):
221 GaudiHandleArray.__init__( self, toolTypesAndNames )
222
223
GaudiKernel.GaudiHandles.PublicToolHandleArray.__init__
def __init__(self, toolTypesAndNames=None)
Definition: GaudiHandles.py:220

## Member Data Documentation

tuple GaudiKernel.GaudiHandles.PublicToolHandleArray.__slots__ = ()
| static private

Definition at line 217 of file GaudiHandles.py.

GaudiKernel.GaudiHandles.PublicToolHandleArray.handleType = PublicToolHandle
| static

Definition at line 218 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/GaudiHandles.py